## python-gjson 1.0.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = doc/source
BUILDDIR      = doc/build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-gjson (1.0.0-3) unstable; urgency=medium

  * Make manpage build step compatible with newer Sphinx 7.1 using
   sphinx-build instead of setup.py build_sphinx. (closes: #1042635)

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Tue, 01 Aug 2023 09:55:08 -0000

python-gjson (1.0.0-2) unstable; urgency=medium

  * No change source upload after passing NEW.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Fri, 03 Feb 2023 09:45:42 -0000

python-gjson (1.0.0-1) unstable; urgency=medium

  * v1.0.0 upstream release.
  * debian/rules: remove X-Python3-Version, superseded.
  * debian/rules: add Rules-Requires-Root: no.
  * debian/rules: bump Standards-Version.
  * debian/copyright: update copyright year.
  * debian/rules: refactor to use SETUPTOOLS_SCM_PRETEND_VERSION and not
    install the package or require a $HOME. Remove override_dh_auto_test.
  * debian/watch: increment the amount of releases returned by GitHub APIs.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Tue, 24 Jan 2023 10:41:42 -0000

python-gjson (0.4.0-1) unstable; urgency=medium

  * v0.4.0 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Sat, 12 Nov 2022 17:22:39 -0000

python-gjson (0.3.0-1) unstable; urgency=medium

  * v0.3.0 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Thu, 10 Nov 2022 17:55:34 -0000

python-gjson (0.2.1-1) unstable; urgency=medium

  * v0.2.1 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Tue, 25 Oct 2022 16:38:05 -0000

python-gjson (0.2.0-1) unstable; urgency=medium

  * v0.2.0 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Mon, 24 Oct 2022 20:58:17 -0000

python-gjson (0.1.0-1) unstable; urgency=medium

  * v0.1.0 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Mon, 03 Oct 2022 07:18:03 -0000

python-gjson (0.0.5-1) unstable; urgency=medium

  * Initial Debian packaging.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Sat, 06 Aug 2022 15:16:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = gjson
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = {dir}/tests/unit

include /usr/share/dpkg/pkg-info.mk

# tell the test suite and build_sphinx about our version number
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	PYTHONPATH=. sphinx-build -b man doc/source/ doc/build/man
	sed -i='' -e 's/^\.B/.B /' doc/build/man/gjson.1
	dh_installman

=== debian/watch ===
version=4

# searchmode: use searchmode plain to search in the JSON returned by the API
# filenamemangle: extract from the URL the GitHub project name (the last path part before /tarball/) and the version,
#                 to generate a resulting tarball named: ${PROJECT_NAME}-${VERSION}.tar.gz
# pgpsigurlmangle: retrieve also the tarball PGP signature assuming it was uploaded with name ${PROJECT_NAME}-v${VERSION}
#                  extracting from the tarball download URL the GitHub username/organization, the GitHub project name and
#                  the version generating the signature URL as required by GitHub
# URL: use the project API URL to get the release information, looking for the tarball URL and extracting the version from
#      the last part of the URL path.
opts=searchmode=plain,\
filenamemangle=s~.+/([^/]+)/tarball/v(@ANY_VERSION@)~$1-$2.tar.gz~,\
pgpsigurlmangle=s~api.github.com/repos/([^/]+)/([^/]+)/tarball/v(@ANY_VERSION@)~github.com/$1/$2/releases/download/v$3/$2-v$3.tar.gz.asc~ \
  https://api.github.com/repos/volans-/gjson-py/releases?per_page=100 https://api\.github\.com/repos/[^/]+/[^/]+/tarball/v([^"]+)

## python-gjson 1.1.0

=== debian/changelog ===
python-gjson (1.1.0-1) unstable; urgency=medium

  * v1.1.0 upstream release.
  * debian/control: bump Standards-Version to 4.7.2.0.
  * debian/control: bump dh-python to >= 6.20250414
    (the current trixie's/sid's version).
  * debian/copyright: update copyright year.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Sun, 23 Nov 2025 14:30:16 -0000

=== debian/control ===
Source: python-gjson
Section: python
Priority: optional
Maintainer: Riccardo Coccioli <rcoccioli@wikimedia.org>
Standards-Version: 4.7.2.0
Build-Depends:
  debhelper-compat (=13),
  dh-python (>= 6.20250414),
  gnupg,
  python3,
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-runner,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-argparse,
  python3-sphinx-autodoc-typehints,
  python3-sphinx-rtd-theme,
Homepage: https://volans-.github.io/gjson-py/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gjson/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-gjson.git
Rules-Requires-Root: no

Package: python3-gjson
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python library and binary to filter and extract data from JSON-like input
 This Python3 library and binary provides a simple way to filter and extract
 data from JSON-like objects or JSON files, using the GJSON syntax.
